var Helpers, View, errorController;
View = require('./view').View;
Helpers = require('./view').Helpers;
errorController = function(configs) {
  var errorView;
  errorView = new View('/error.haml', configs.encoding);
  return function(err, req, res, next) {
    var locals;
    locals = {
      error: err.message
    };
    return errorView.partial(locals, function(viewErr, data) {
      if (viewErr) {
        res.writeHead(500, {
          'content-type': 'text/html'
        });
        return res.end('Internal Server Error');
      } else {
        res.writeHead(parseInt(err.message), {
          'content-type': 'text/html'
        });
        return res.end(data);
      }
    });
  };
};
/*
Module Exports
*/
module.exports = errorController;